Bug 229787 - [NEW PORT] games/openage: A free engine clone of the Genie Engine
Summary: [NEW PORT] games/openage: A free engine clone of the Genie Engine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-15 15:58 UTC by Martin Filla
Modified: 2018-07-22 17:11 UTC (History)
2 users (show)

See Also:


Attachments
openage.shar (26.91 KB, text/plain)
2018-07-15 15:58 UTC, Martin Filla
no flags Details
Updated shar (26.99 KB, text/plain)
2018-07-15 16:42 UTC, Yuri Victorovich
no flags Details
openage (27.19 KB, text/plain)
2018-07-15 21:44 UTC, Martin Filla
no flags Details
openage.shar (27.19 KB, text/plain)
2018-07-15 21:55 UTC, Martin Filla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2018-07-15 15:58:45 UTC
Created attachment 195154 [details]
openage.shar

Hello Yuri i have new port
Comment 1 Yuri Victorovich freebsd_committer 2018-07-15 16:42:06 UTC
Created attachment 195156 [details]
Updated shar

Hi Martin,

The file keybinds.oac should be in ${PREFIX}/etc/openage/ (%%ETCDIR%%).
Could you please take the updated shar that I attached, fix the path where keybinds.oac is loaded from, and resubmit?

Thanks!
Comment 2 Yuri Victorovich freebsd_committer 2018-07-15 16:43:04 UTC
Also, /etc/xdg should be ${PREFIX}/etc/xdg.
Comment 3 Martin Filla 2018-07-15 21:44:01 UTC
Created attachment 195159 [details]
openage
Comment 4 Martin Filla 2018-07-15 21:44:54 UTC
I updated shar.
Comment 5 Martin Filla 2018-07-15 21:55:18 UTC
Created attachment 195160 [details]
openage.shar

Added update openage.shar
Comment 6 Yuri Victorovich freebsd_committer 2018-07-15 22:00:05 UTC
It fails:
> -- Up-to-date: /usr/ports/games/openage/work/stage/usr/local/lib/python3.6/site-packages/openage/testing/misc_cpp.so
> mkdir: /usr/local/etc/openage: Permission denied


I think you develop port as root, this is why you didn't notice this. You should only develop ports as a regular user.
Also, you should run 'portlint -C' - it will find some errors.

Yuri
Comment 7 Yuri Victorovich freebsd_committer 2018-07-15 22:16:15 UTC
It still installs this file:
/etc/openage/keybinds.oac
Comment 8 Martin Filla 2018-07-16 18:06:17 UTC
Hello Yuri 
i am sorry i dont know how do it in makefile :-(
Comment 9 Yuri Victorovich freebsd_committer 2018-07-16 18:14:28 UTC
(In reply to Martin Filla from comment #8)

https://github.com/SFTtech/openage/issues/1033
Comment 10 Yuri Victorovich freebsd_committer 2018-07-22 16:54:44 UTC
Hi Martin,

For the next time, please build the port in poudriere (https://www.freebsd.org/doc/handbook/ports-poudriere.html) and run 'portlint -C' before you submit new ports or port updates.

Thank you,
Yuri
Comment 11 commit-hook freebsd_committer 2018-07-22 17:11:47 UTC
A commit references this bug:

Author: yuri
Date: Sun Jul 22 17:11:41 UTC 2018
New revision: 475111
URL: https://svnweb.freebsd.org/changeset/ports/475111

Log:
  New port: games/openage: Free engine clone of the Genie Engine

  PR:		229787
  Submitted by:	Martin Filla <martinfilla@post.cz>

Changes:
  head/games/Makefile
  head/games/openage/
  head/games/openage/Makefile
  head/games/openage/distinfo
  head/games/openage/files/
  head/games/openage/files/patch-libopenage_CMakeLists.txt
  head/games/openage/files/patch-openage_default__dirs.py
  head/games/openage/pkg-descr
  head/games/openage/pkg-plist
Comment 12 Yuri Victorovich freebsd_committer 2018-07-22 17:11:59 UTC
Committed with changes.
Thank you for your submission!